Bug 726977 - fedora-release-16-0.7 not updated for Branched
fedora-release-16-0.7 not updated for Branched
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F16Alpha/F16AlphaBlocker
  Show dependency treegraph
 
Reported: 2011-07-31 13:17 EDT by Josh Boyer
Modified: 2011-08-06 00:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: fedora-release-16-0.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-05 13:45:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Boyer 2011-07-31 13:17:27 EDT
Description of problem:

fedora-release isn't fully updated for Branched

Version-Release number of selected component (if applicable):

fedora-release-16-0.7.noarch


Additional info:

The changelog says:

- add the fedora 16 key
- enable the fedora repo
- enable updates-testing
- disable rawhide
- do not require fedora-release-rawhide

And from what I can tell, the only thing actually done here is the last item.  I installed fedora-release-16.07 manually and the key is mising, all of the repositories are disabled (aside from rawhide if you still have the -rawhide subpackage installed), and the release name is still set to Rawhide.

I am guessing that an updated fedora-release-16.tar.bz2 wasn't uploaded with the rest of the changes when this was built.
Comment 1 Josh Boyer 2011-07-31 13:18:32 EDT
As you can see, all of the symlinks point to a file that does not actually exist.

[jwboyer@localhost rpm-gpg]$ rpm -q fedora-release
fedora-release-16-0.7.noarch
[jwboyer@localhost rpm-gpg]$ pwd
/etc/pki/rpm-gpg
[jwboyer@localhost rpm-gpg]$ ls -l
total 8
lrwxrwxrwx. 1 root root   29 Jul 31 13:05 RPM-GPG-KEY-fedora -> RPM-GPG-KEY-fedora-16-primary
-rw-r--r--. 1 root root 1653 Jul 26 16:27 RPM-GPG-KEY-fedora-15-primary
-rw-r--r--. 1 root root 3810 Jul 26 16:27 RPM-GPG-KEY-fedora-15-SPARC
lrwxrwxrwx. 1 root root   31 Jul 31 13:05 RPM-GPG-KEY-fedora-arm -> RPM-GPG-KEY-fedora-16-secondary
lrwxrwxrwx. 1 root root   29 Jul 31 13:05 RPM-GPG-KEY-fedora-i386 -> RPM-GPG-KEY-fedora-16-primary
lrwxrwxrwx. 1 root root   31 Jul 31 13:05 RPM-GPG-KEY-fedora-ppc -> RPM-GPG-KEY-fedora-16-secondary
lrwxrwxrwx. 1 root root   31 Jul 31 13:05 RPM-GPG-KEY-fedora-ppc64 -> RPM-GPG-KEY-fedora-16-secondary
lrwxrwxrwx. 1 root root   31 Jul 31 13:05 RPM-GPG-KEY-fedora-s390 -> RPM-GPG-KEY-fedora-16-secondary
lrwxrwxrwx. 1 root root   31 Jul 31 13:05 RPM-GPG-KEY-fedora-s390x -> RPM-GPG-KEY-fedora-16-secondary
lrwxrwxrwx. 1 root root   31 Jul 31 13:05 RPM-GPG-KEY-fedora-sparc -> RPM-GPG-KEY-fedora-16-secondary
lrwxrwxrwx. 1 root root   31 Jul 31 13:05 RPM-GPG-KEY-fedora-sparc64 -> RPM-GPG-KEY-fedora-16-secondary
lrwxrwxrwx. 1 root root   29 Jul 31 13:05 RPM-GPG-KEY-fedora-x86_64 -> RPM-GPG-KEY-fedora-16-primary
[jwboyer@localhost rpm-gpg]$
Comment 2 Fedora Update System 2011-08-03 13:47:59 EDT
fedora-release-16-0.9 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fedora-release-16-0.9
Comment 3 Fedora Update System 2011-08-03 15:15:02 EDT
Package fedora-release-16-0.9:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-release-16-0.9'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/fedora-release-16-0.9
then log in and leave karma (feedback).
Comment 4 Tim Flink 2011-08-05 13:45:14 EDT
Confirmed to have been fixed by fedora-release-16-0.9 - please re-open this bug or create a new bug if the issue happens to re-surface
Comment 5 Fedora Update System 2011-08-06 00:25:35 EDT
fedora-release-16-0.9 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.